/******************************************************************************
 * Beispiel:      sinetest
 * 
 * Beschreibung:  Dieses Beispiel prüft die Ausgabe des MP3-Decoders und
 *                des Stereo-Verstärkers. (einfacher Funktionstest)
 *                Der MP3-Decoder wird initiiert und dazu angeregt einen
 *                Sinuston zu erzeugen.
 ******************************************************************************/
#include "arduPi.h"
#include "AudioShield.h"

int main (){
  setup();
  while(1){
    loop();
  }
  return (0);
}

/******************************************************************************
 * Funktionen
 ******************************************************************************/
void setup() {
  //MP3-Decoder initialisieren
  VS1011.begin();
  //Stummschaltung deaktivieren
  VS1011.UnsetMute();
  //Ausgabe des Sinustons mit 1kHz solange bis VS1011.Reset() ausgeführt wird.
  VS1011.SineTest();
}

void loop()
{
  //Warte 10s
  delay( 10000 );
  //Sinuston beenden
  VS1011.Reset();
  //Programm beenden
  exit(EXIT_SUCCESS);
}