/******************************************************************************
Beispiel:      runningLED

Beschreibung:   Dieses Beispiel zeigt die Ansteuerung der LEDs auf dem 
                I2C-LCD-Modul anhand eines Lauflichts
******************************************************************************/
#include "arduPi.h"
#include "TwoWireLCD.h"

int main (){
  setup();
  while(1){
    loop();
  }
  return (0);
}

/******************************************************************************
globale Variablen
******************************************************************************/
// eingeschaltete LEDs
unsigned char leds = 0x01;

// Richtung des Lauflichts
unsigned char dir = 1;

/******************************************************************************
Funktionen
******************************************************************************/
void setup()
{  
  // Initialisierung des I2C und des I2C-LCD-Moduls
  Wire.begin();
  LCD.begin();
}

void loop()
{
  // aktuelle LED einschalten (negative Logik: LED leuchtet bei einer 0)
  LCD.setLeds(~leds);
  
  delay(100);
  // die eingeschaltete LED um eine Position nach links bzw. rechts
  // verschieben.  
  if(dir)
  {
    leds = leds << 1;
    
    if(leds == LED_4)
      dir = 0;
  }
  else
  {
    leds = leds >> 1;
    
    if(leds == LED_1)
      dir = 1;
  }
}