/******************************************************************************
Beispiel:      runningText

Beschreibung:   Dieses Beispiel zeigt die Anzeige eines Textes auf dem Display 
                des I2C-LCD-Modul anhand eines Lauftextes
******************************************************************************/
#include "arduPi.h"
#include "TwoWireLCD.h"

int main (){
  setup();
  while(1){
    loop();
  }
  return (0);
}

/******************************************************************************
globale Variablen
******************************************************************************/
// darzustellender Text
char text[] ="ABCDEFGHIJKLMNOPQRSTUVWXYZ+-*/\\";

// aktuelle Position im Text
unsigned char pos = 0;

/******************************************************************************
Funktionen
******************************************************************************/
void setup()
{  
  // Initialisierung des I2C und des I2C-LCD-Moduls
  Wire.begin();
  LCD.begin();
}

void loop()
{
  // Text auf dem Display ausgeben
  LCD.print(&text[pos], 4);
  LCD.update();
  
  delay(500);
  // eine Position weiterspringen und am Ende der Zeichenkette wieder
  // an den Anfang springen
  pos++;
  
  if(pos >= (sizeof(text)/sizeof(text[0])) - 4)
    pos = 0;
}
