/*--------------------------------------------------------------------------*/ 
/** 
 * \file two_wire_flip_sign.h 
 * \brief include the definitions for the TWO_WIRE_FLIP_SIGN class 
 * \author eQ-3 Entwicklung GmbH 
 */ 
/*-------------------------------------------------------------------------- 
 * Copyright 2012 eQ-3 Entwicklung GmbH 
 * All Rights Reserved. 
 * 
 * The information contained in this file is confidential property of "eQ-3 
 * Entwicklung GmbH". The use copying, transfer or disclosure is prohibited 
 * except by written agreement with "eQ-3 Entwicklung GmbH". 
 *--------------------------------------------------------------------------*/ 
/** 
 * \addtogroup TWO_WIRE_FLIP_SIGN 
 * \{ 
 */ 
/*--------------------------------------------------------------------------*/ 
#ifndef _TWO_WIRE_FLIP_SIGN_H_
#define _TWO_WIRE_FLIP_SIGN_H_

/** 
 * Integer types: unsigned 
**/ 
typedef unsigned char uint8_t;              //  8 bits, 0 to 255 
//typedef unsigned short uint16_t;            // 16 bits, 0 to 65535 
//typedef unsigned long uint32_t;             // 32 bits, 0 to 2^32-1 
typedef unsigned long long uint64_t;        // 64 bits, 0 to 2^64-1 
 
/**  
 * Integer types: signed 
**/ 
typedef signed char sint8_t;                //  8 bits, -128 to 127 
typedef signed short sint16_t;              // 16 bits, -32768 to 32767 
typedef signed long sint32_t;               // 32 bits, -2^31 to 2^31-1 
typedef signed long long sint64_t;          // 64 bits, -2^63 to 2^63-1   

/** 
 * Floating point types 
**/ 
typedef float float32_t;            // 1 bit sign,  8 bits exponent, 23 bits mantissa 
typedef long double float64_t;       // 1 bit sign, 11 bits exponent, 52 bits mantissa 

#define UP     0x02
#define DOWN   0x04
#define TOGGLE 0x08

#define COMMAND             0x0
#define TIMER_VALUE_PART1   0x1
#define TIMER_VALUE_PART2   0x2

#define  I2C_FLIP_SIGN_ADDRESS (0x003E >> 1)

/**
class TWO_WIRE_FLIP_SIGN
*/

class TWO_WIRE_FLIP_SIGN
{
  private:
    void write_data(uint8_t, uint8_t, uint8_t, uint8_t, uint8_t);
    
  public:
    TWO_WIRE_FLIP_SIGN();
    void set_state(uint8_t);
    void set_state(uint8_t, float64_t);
};

extern TWO_WIRE_FLIP_SIGN FLIPSIGN;

#endif /* _TWO_WIRE_FLIP_SIGN_H_ */

/** \}
 * End of file
**/