#ifndef TwoWireLCD_h
#define TwoWireLCD_h

/**********************************************************
Definitionen
**********************************************************/
#define ARROW_1       0x01
#define ARROW_2       0x02
#define ARROW_3       0x04
#define ARROW_4       0x08

#define POINT_1       0x01
#define POINT_2       0x02
#define POINT_3       0x04

#define KEY_1         0x80
#define KEY_2         0x40
#define KEY_3         0x20
#define KEY_4         0x10
#define NO_KEY        0xFF

#define LED_1         0x01
#define LED_2         0x02
#define LED_3         0x04
#define LED_4         0x08

#define NO_LEADING_ZEROS    0x00
#define LEADING_ZEROS       0x01

/**********************************************************
Klasse TwoWireLCD
**********************************************************/
class TwoWireLCD
{
  private:
    unsigned char lcdData[10]; 
    void writeRegister(unsigned char, unsigned char, unsigned char, unsigned char*, unsigned char);
    unsigned char readRegister(unsigned char, unsigned char, unsigned char, unsigned char, unsigned char*);
    void setSegment(unsigned char, unsigned char);
    
  public:
    TwoWireLCD();
    void begin(void);
    unsigned char print(signed int, unsigned char);
    void print(signed int, unsigned char, unsigned char);
    void print(char*, unsigned char);
    void update(void);
    void clearAll(void);
    void clearSegments(void);
    void showDegree(unsigned char);
    void showPercent(unsigned char);
    void showMicro(unsigned char);
    void showMilli(unsigned char);
    void showAmpere(unsigned char);
    void showHour(unsigned char);
    void showOhm(unsigned char);
    void showVolt(unsigned char);
    void showColon(unsigned char);
    void showMinus(unsigned char);
    void showBattery(unsigned char);
    void showPoints(unsigned char);
    void showArrows(unsigned char);
    void enableKeyInterrupt(void);
    void disableKeyInterrupt(void);
    unsigned char resetKeyInterrupt(void);
    unsigned char readKeys(void);
    void setLeds(unsigned char);
};

extern TwoWireLCD LCD;

#endif /* TwoWireLCD_h */